Groups
Create group
Create a new group under your partner. Requires a partner API token.
POST
/
groups
Create group
curl --request POST \
--url https://cookiechimp.com/api/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"group": {
"name": "Example Ltd",
"external_id": "ABC_123",
"max_pageviews_per_month": 500000,
"max_unique_visitors_per_month": 100000
}
}
'import requests
url = "https://cookiechimp.com/api/v1/groups"
payload = { "group": {
"name": "Example Ltd",
"external_id": "ABC_123",
"max_pageviews_per_month": 500000,
"max_unique_visitors_per_month": 100000
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
group: {
name: 'Example Ltd',
external_id: 'ABC_123',
max_pageviews_per_month: 500000,
max_unique_visitors_per_month: 100000
}
})
};
fetch('https://cookiechimp.com/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cookiechimp.com/api/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'group' => [
'name' => 'Example Ltd',
'external_id' => 'ABC_123',
'max_pageviews_per_month' => 500000,
'max_unique_visitors_per_month' => 100000
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cookiechimp.com/api/v1/groups"
payload := strings.NewReader("{\n \"group\": {\n \"name\": \"Example Ltd\",\n \"external_id\": \"ABC_123\",\n \"max_pageviews_per_month\": 500000,\n \"max_unique_visitors_per_month\": 100000\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cookiechimp.com/api/v1/groups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"group\": {\n \"name\": \"Example Ltd\",\n \"external_id\": \"ABC_123\",\n \"max_pageviews_per_month\": 500000,\n \"max_unique_visitors_per_month\": 100000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cookiechimp.com/api/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"group\": {\n \"name\": \"Example Ltd\",\n \"external_id\": \"ABC_123\",\n \"max_pageviews_per_month\": 500000,\n \"max_unique_visitors_per_month\": 100000\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123",
"partner": "partner_one",
"name": "Example Ltd",
"external_id": "ABC_123",
"max_pageviews_per_month": 500000,
"max_unique_visitors_per_month": 100000
}{
"errors": [
{
"code": 401,
"message": "API key must belong to a partner"
}
]
}{
"name": [
"can't be blank"
],
"external_id": [
"has already been taken"
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Authorizations
Response
Created group
Was this page helpful?
⌘I
Create group
curl --request POST \
--url https://cookiechimp.com/api/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"group": {
"name": "Example Ltd",
"external_id": "ABC_123",
"max_pageviews_per_month": 500000,
"max_unique_visitors_per_month": 100000
}
}
'import requests
url = "https://cookiechimp.com/api/v1/groups"
payload = { "group": {
"name": "Example Ltd",
"external_id": "ABC_123",
"max_pageviews_per_month": 500000,
"max_unique_visitors_per_month": 100000
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
group: {
name: 'Example Ltd',
external_id: 'ABC_123',
max_pageviews_per_month: 500000,
max_unique_visitors_per_month: 100000
}
})
};
fetch('https://cookiechimp.com/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cookiechimp.com/api/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'group' => [
'name' => 'Example Ltd',
'external_id' => 'ABC_123',
'max_pageviews_per_month' => 500000,
'max_unique_visitors_per_month' => 100000
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cookiechimp.com/api/v1/groups"
payload := strings.NewReader("{\n \"group\": {\n \"name\": \"Example Ltd\",\n \"external_id\": \"ABC_123\",\n \"max_pageviews_per_month\": 500000,\n \"max_unique_visitors_per_month\": 100000\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cookiechimp.com/api/v1/groups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"group\": {\n \"name\": \"Example Ltd\",\n \"external_id\": \"ABC_123\",\n \"max_pageviews_per_month\": 500000,\n \"max_unique_visitors_per_month\": 100000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cookiechimp.com/api/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"group\": {\n \"name\": \"Example Ltd\",\n \"external_id\": \"ABC_123\",\n \"max_pageviews_per_month\": 500000,\n \"max_unique_visitors_per_month\": 100000\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123",
"partner": "partner_one",
"name": "Example Ltd",
"external_id": "ABC_123",
"max_pageviews_per_month": 500000,
"max_unique_visitors_per_month": 100000
}{
"errors": [
{
"code": 401,
"message": "API key must belong to a partner"
}
]
}{
"name": [
"can't be blank"
],
"external_id": [
"has already been taken"
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}